light-mode-image
Learn
API ReferenceInboxes

Register DID with an inbox

Roles

adminissuermanaged-issuer

Analytics Events

MESSAGING_INBOX_DID_REGISTER_STARTMESSAGING_INBOX_DID_REGISTER_SUCCESSMESSAGING_INBOX_DID_REGISTER_FAIL
POST/v1/messaging/inboxes/{id}/dids

Register the provided DID to the requested inbox.

Analytic events

  • MESSAGING_INBOX_DID_REGISTER_START
  • MESSAGING_INBOX_DID_REGISTER_SUCCESS
  • MESSAGING_INBOX_DID_REGISTER_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Requested inbox ID

Request Body

application/json

DID registration information

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/messaging/inboxes/string/dids" \  -H "Content-Type: application/json" \  -d '{    "did": "string"  }'
{  "did": "string"}

How would you rate this page?